"""
Utilities for the bot.
"""

from dataclasses import (
    dataclass,
    field
)

RoomAlias = str
RoomId = str

@dataclass
class Room:
    """ Class representing a room.
    """
    id: RoomId
    aliases: set[RoomAlias] = field(default_factory=set)

